#pragma once

#include <filesystem>
#include <string>

namespace sk {
struct queue_config {
    std::string pull_addr;
    std::string push_addr;
    unsigned int nb_threads;
};

struct runner_config {
    unsigned int timeout;
};

struct config {
    queue_config queue;
    runner_config runner;

    static config read_or_default(const std::filesystem::path &path, bool expect_present = false);
};
}
